
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Services.Interfaces
{
    public interface ITeamService : IService<Team, TeamDto, TeamAllDto>
    {
        Task<bool> AssignAdminManager(TeamUserDto teamUser);
        Task<string> GetTeamName(long teamId);
        Task<IList<TeamDto>> GetTeamListForUser(string userId);
    }
}
